Subject: Re: file completion in bash shell from emacs
From: David Bush <[email-masked]>
To: Murli Ganeshan <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 Feb 1999 08:55:09 -0500 (EST)

This does not happen with the Cygwin build of Xemacs.  You might want
to look into it.  There is no binary available yet.

david

Murli Ganeshan writes:
 > I have emacs 19.34.6 for windows 95 and I have installed the cygwin 20.1
 > package and am able to invoke a bash shell from emacs with "M-x shell".
 > 
 > I have seen a problem with file completion. The problem is that the forward
 > slash(/)directory delimiter is replaced by the backward slash(\). So if had a
 > hierarchy as
 > dir1
 > 	dir2
 > 
 > And from dir1, I say ls <TAB>, I get ls dir2\, instead of ls dir2/, and I have
 > to manually change the \ to / to descend.
 > 
 > I have not seen this problem when the bash shell is invoked by itself(i.e 
 > cygnus.bat), and it correctlygives the / delimiter.
 > 
 > I would like to know how how to have the same behaviour inside a bash shell 
 > opened from emacs.
 > 
 > Any comments/suggestions are highly appreciated.
 > -murli
 > 
 > -------------------------------------------
 > Murli Ganeshan 	Cirrus Logic, Austin, TX
 > mailto:[email-masked]	
 > phone:  (512)912-3365	fax: (512)912-3230
 > -------------------------------------------
 > 
 > 
 > --
 > Want to unsubscribe from this list?
 > Send a message to [email-masked]
 > 

--   
Want to unsubscribe from this list?                             
Send a message to [email-masked]